function(ac_prepend_copyright TARGETNAME)
	FILE(WRITE ${CMAKE_SOURCE_DIR}/fileconcat.cmake "
	FILE(STRINGS \${FILE1} LINES1 NEWLINE_CONSUME)
	FILE(STRINGS \${FILE2} LINES2 NEWLINE_CONSUME)
	FILE(STRINGS \${FILE3} LINES3 NEWLINE_CONSUME)
	FILE(WRITE \${FILE4} \${LINES1})
	FILE(APPEND \${FILE4} \${LINES2})
	FILE(WRITE \${FILE5} \${LINES1})
	FILE(APPEND \${FILE5} \${LINES3})
	")
	ADD_CUSTOM_COMMAND(
		TARGET ${TARGETNAME}
		PRE_BUILD
		COMMAND ${CMAKE_COMMAND} -D FILE1=${CMAKE_SOURCE_DIR}/copyright.txt
								 -D FILE2=${CMAKE_SOURCE_DIR}/main.c
								 -D FILE3=${CMAKE_SOURCE_DIR}/main.h
								 -D FILE4=${CMAKE_SOURCE_DIR}/mainwithCopyRight.c
								 -D FILE5=${CMAKE_SOURCE_DIR}/mainwithCopyRight.h
								 -P ${CMAKE_SOURCE_DIR}/fileconcat.cmake
		COMMAND ${CMAKE_COMMAND} -E remove ${CMAKE_SOURCE_DIR}/fileconcat.cmake
	)
endfunction()
